function y = c2matlab(x,out_dim)
 
if length(size(x)) ~= 2,
    error('invalid input');
end;
if out_dim == 2,
	y = x';
else,
	if out_dim == 3,     
		[r,s] = size(x);
		if mod(s,3) ~= 0,
			error('invalid input');
			return;
		end;
		c = s/3;
		y1 = x(:,1:c)';
		y2 = x(:,c+1:2*c)';
		y3 = x(:,2*c+1:3*c)'; 
		y = cat(3,y1,y2,y3);
	else,
		error('invalid dim');
	end;
end;
